Subject: Re: [RFC] question about inet_listen_lock(), and [PATCH] net: listening_hash get a spinlock per bucket

From: Eric Dumazet <[email-masked]>
Date: Thu, 20 Nov 2008 09:47:26 +0100

David Miller a écrit :
> From: Eric Dumazet <[email-masked]>
> Date: Mon, 17 Nov 2008 17:21:19 +0100
> 
>> [PATCH] net: listening_hash get a spinlock per bucket
>>
>> This patch prepares RCU migration of listening_hash table for
>> TCP/DCCP protocols.
>>
>> listening_hash table being small (32 slots per protocol), we add
>> a spinlock for each slot, instead of a single rwlock for whole table.
>>
>> This should reduce hold time of readers, and writers concurrency.
>>
>> Signed-off-by: Eric Dumazet <[email-masked]>
> 
> Ok it looks indeed as this sleeping thing was just a queer way to wait
> when there was some thread dumping listening sockets.  I guess it must
> have been _really_ slow back when that was written by Alexey :)
> 
> I've applied your patch to net-next-2.6, thanks Eric!
> 
> 

Thanks a lot David for your analysis, I will continue the work further.